Search documentation of stripe_elixir

# StripeElixir.Services.SourceTransactionService (stripe_elixir v0.1.0)

Copy Markdown View Source

SourceTransaction

Some payment methods have no required amount that a customer must send. Customers can be instructed to send any amount, and it can be made up of multiple transactions. As such, sources can have multiple associated transactions.

## Summary

### Functions

source_transactions(client, source, params \\ %{}, opts \\ [])

List source transactions for a given source.

## Functions

# source_transactions(client, source, params \\ %{}, opts \\ [])

    @spec source_transactions(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

List source transactions for a given source.